# DOT NFC

A Flutter plugin, as a part of [Innovatrics DOT Flutter SDK](https://developers.innovatrics.com/digital-onboarding/technical/api-reference/), that provides components for [NFC reading](https://developers.innovatrics.com/digital-onboarding/docs/functionalities/document/nfc-reading/) and related functionalities which are easy to integrate into a Flutter project.

## Get Started

1. Check the requirements, get a license file, setup your project, see how to initialize and deinitialize DOT SDK and try the example. Follow the [DOT SDK / Get Started](https://pub.dev/documentation/dot_core/latest/topics/DOT%20SDK-topic.html) topic.
2. Use the components. See the next section.

## Components

### Overview

DOT NFC plugin provides UI components. These are available as widgets and can be added to your widget tree.

#### List of UI Components (Widgets)

- [*NFC Travel Document Reader*](https://pub.dev/documentation/dot_nfc/latest/dot_nfc/NfcTravelDocumentReaderWidget-class.html): A visual component for reading NFC enabled travel documents.
    - See [`NfcTravelDocumentReaderWidget`](https://pub.dev/documentation/dot_nfc/latest/dot_nfc/NfcTravelDocumentReaderWidget-class.html) for more details.
    - Review the [NFC reading functionality](https://developers.innovatrics.com/digital-onboarding/docs/functionalities/document/nfc-reading/) to gain a deeper understanding of the concept.
