/// DOT NFC plugin.
library dot_nfc;

export 'src/dot_nfc_library.dart' show DotNfcLibrary;
export 'src/nfc_travel_document_reader_widget.dart'
    show NfcTravelDocumentReaderWidget;

export 'package:dot_nfc_platform_interface/dot_nfc_platform_interface.dart'
    show
        AccessControlProtocol,
        AdditionalDocumentDetails,
        AdditionalPersonalDetails,
        AuthenticationStatus,
        ChipAuthenticationStatus,
        ChipAuthenticationStatusProtocol,
        ChipAuthenticationStatusValue,
        DataAuthenticationStatus,
        DataAuthenticationStatusProtocol,
        DataAuthenticationStatusValue,
        DisplayedSignatureOrUsualMark,
        DotSdk,
        DotSdkConfiguration,
        EncodedIdentificationFeaturesFace,
        Image,
        ImageFormat,
        ImageSize,
        Lds1ElementaryFile,
        Lds1ElementaryFileId,
        Lds1eMrtdApplication,
        LdsMasterFile,
        MachineReadableZoneInformation,
        NameOfHolder,
        NfcKey,
        NfcTravelDocumentReaderConfiguration,
        NfcTravelDocumentReaderException,
        OptionalDetails,
        TravelDocument;
