import 'package:dot_nfc_platform_interface/dot_nfc_platform_interface.dart';

/// Activation of DOT NFC Library.
///
/// Use instance of this class to activate DOT NFC Library via [DotSdkConfiguration.libraries].
///
/// See [DotSdk.initialize()] for more details.
final class DotNfcLibrary extends DotLibrary {
  DotNfcLibrary()
      : super(
            id: DotLibraryId.nfc,
            initializer: DotNfcPlatform.instance.createDotLibraryInitializer());
}
